libetonyek::IWORKImageContext Class Reference documentation

Public Member Functions | Protected Member Functions | Private Member Functions | Private Attributes | List of all members
libetonyek::IWORKImageContext Class Reference

`#include <IWORKImageContext.h>`

Inheritance diagram for libetonyek::IWORKImageContext:

## Public Member Functions
| IWORKImageContext (IWORKXMLParserState &state, IWORKMediaContentPtr_t &content)
Public Member Functions inherited from libetonyek::IWORKXMLContextBase< IWORKXMLContextElement, IWORKXMLParserState >
| IWORKXMLContextBase (IWORKXMLParserState &state)
| IWORKXMLContextBase (IWORKXMLParserState &state, const T &a)
IWORKXMLParserState & | getState ()
| IWORKXMLContextBase (IWORKXMLParserState &state)
| IWORKXMLContextBase (IWORKXMLParserState &state, const T &a)
IWORKXMLParserState & | getState ()
Public Member Functions inherited from libetonyek::IWORKXMLContext
virtual | ~IWORKXMLContext ()=0
virtual void | CDATA (const char *value)
| Process CDATA content of an element.

## Protected Member Functions
void | endOfElement () override
| Signalize the end of an element.
Protected Member Functions inherited from libetonyek::IWORKXMLContextBase< IWORKXMLContextElement, IWORKXMLParserState >
IWORKCollector & | getCollector () const
int | getToken (const char *const value) const
bool | isCollector () const
IWORKCollector & | getCollector () const
int | getToken (const char *const value) const
bool | isCollector () const
Protected Member Functions inherited from libetonyek::IWORKXMLContextElement
| IWORKXMLContextElement (IWORKXMLParserState &)
void | attribute (int name, const char *value) override
| Process an attribute.
void | text (const char *value) override
| Process textual content of an element.
const boost::optional< ID_t > & | getId () const
void | setId (const char *value)
Protected Member Functions inherited from libetonyek::IWORKXMLContextMinimal
| IWORKXMLContextMinimal ()
void | startOfElement () override
| Signalize the start of an element.
void | endOfElement () override
| Signalize the end of an element.

## Private Member Functions
IWORKXMLContextPtr_t | element (int name) override
| Create a context for parsing a child element.

## Private Attributes
IWORKMediaContentPtr_t & | m_content
boost::optional< IWORKSize > | m_size
IWORKDataPtr_t | m_data
boost::optional< IWORKColor > | m_fillColor

## Additional Inherited Members
Protected Attributes inherited from libetonyek::IWORKXMLContextBase< IWORKXMLContextElement, IWORKXMLParserState >
IWORKXMLParserState & | m_state
IWORKXMLParserState & | m_state

## Constructor & Destructor Documentation

## ◆ IWORKImageContext()

libetonyek::IWORKImageContext::IWORKImageContext | ( | IWORKXMLParserState & | state,
|  | IWORKMediaContentPtr_t & | content )

Referenced by libetonyek::IWORKUnfilteredElement::IWORKUnfilteredElement().

## Member Function Documentation

## ◆ element()

IWORKXMLContextPtr_t libetonyek::IWORKImageContext::element | ( | int | name | ) |
| overrideprivatevirtual

Create a context for parsing a child element.

Returns
  A new context or an empty pointer if the child element cannot be handled.

Implements libetonyek::IWORKXMLContext.

## ◆ endOfElement()

void libetonyek::IWORKImageContext::endOfElement | ( |  | ) |
| overrideprotectedvirtual

Signalize the end of an element.

Implements libetonyek::IWORKXMLContext.

Reimplemented in libetonyek::IWORKUnfilteredElement.

Referenced by libetonyek::IWORKUnfilteredElement::endOfElement().

## Member Data Documentation

## ◆ m_content

IWORKMediaContentPtr_t& libetonyek::IWORKImageContext::m_content
| private

Referenced by endOfElement(), and IWORKImageContext().

## ◆ m_data

IWORKDataPtr_t libetonyek::IWORKImageContext::m_data
| private

Referenced by element(), endOfElement(), and IWORKImageContext().

## ◆ m_fillColor

boost::optional<IWORKColor> libetonyek::IWORKImageContext::m_fillColor
| private

Referenced by element(), endOfElement(), and IWORKImageContext().

## ◆ m_size

boost::optional<IWORKSize> libetonyek::IWORKImageContext::m_size
| private

Referenced by element(), endOfElement(), and IWORKImageContext().

The documentation for this class was generated from the following files:

- IWORKImageContext.h
- IWORKImageContext.cpp